import { error } from '@sveltejs/kit';
import type { PageLoad } from './$types';

export const load: PageLoad = async ({ params }) => {
	const post = await import(`$content/home.md`);
	 if (!post) throw error(404);
	const { name, date } = post.metadata;
	const Content = post.default;

	return {
		name,
		Content,
	};
}
